cascading.stats.local

## Class LocalStepStats

- java.lang.Object
- - cascading.stats.CascadingStats<FlowNodeStats>
  - - cascading.stats.FlowStepStats
    - - cascading.stats.local.LocalStepStats

- All Implemented Interfaces:
    ProvidesCounters, java.io.Serializable

      public class LocalStepStats
      extends FlowStepStats

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.stats.CascadingStats

      `CascadingStats.Status, CascadingStats.Type`

  - ### Field Summary

    - ### Fields inherited from class cascading.stats.CascadingStats

      `clientState, finishedTime, lastCaptureDetail, listeners, name, pendingTime, runTime, startTime, STATS_COMPLETE_CHILD_DETAILS_BLOCK_DURATION, STATS_STORE_INTERVAL, status, submitTime, throwable, throwableTrace`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalStepStats(FlowStep<java.util.Properties> flowStep, ClientState clientState)` Constructor CascadingStats creates a new CascadingStats instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `captureDetail(CascadingStats.Type depth)`
    `java.util.Collection` | `getChildren()` Method getChildren returns any relevant child statistics instances.
    `java.util.Collection<java.lang.String>` | `getCounterGroups()` Method getCounterGroups returns all the available counter group names.
    `java.util.Collection<java.lang.String>` | `getCounterGroupsMatching(java.lang.String regex)` Method getCounterGroupsMatching returns all the available counter group names that match the given regular expression.
    `java.util.Collection<java.lang.String>` | `getCountersFor(java.lang.String group)` Method getCountersFor returns all the counter names for the give group name.
    `long` | `getCounterValue(java.lang.Enum counter)` Method getCounter returns the current value for the given counter Enum.
    `long` | `getCounterValue(java.lang.String group, java.lang.String counter)` Method getCounter returns the current value for the given group and counter.
    `long` | `getLastSuccessfulCounterFetchTime()` Method getLastSuccessfulCounterFetchTime returns the time, in millis, the last moment counters were successfully retrieved.
    `java.lang.String` | `getProcessStepID()` Method getProcessStepID returns the ID representing the under platform process.
    `void` | `increment(java.lang.Enum counter, long amount)`
    `void` | `increment(java.lang.String group, java.lang.String counter, long amount)`
    `void` | `recordChildStats()` An internal method that will refresh current counters and, if a clientState client is enabled, the child details including node and slice statistics.

    - ### Methods inherited from class cascading.stats.FlowStepStats

      `addNodeStats, getChildWith, getFlowNodeIDs, getFlowNodeStats, getFlowNodeStatsMap, getFlowStep, getID, getNodesCount, getProcessLogger, getProcessStatusURL, getType, hasCapturedFinalDetail, recordInfo, toString`

    - ### Methods inherited from class cascading.stats.CascadingStats

      `addListener, captureDetail, cleanup, fireListeners, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getPrefix, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, getThrowableTrace, isDetailStale, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, logDebug, logError, logError, logInfo, logWarn, markDetailCaptured, markFailed, markFailed, markFailed, markFailed, markFinishedTime, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, removeListener, setStatsStoreInterval`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalStepStats

          public LocalStepStats(FlowStep<java.util.Properties> flowStep,
                        ClientState clientState)

      Constructor CascadingStats creates a new CascadingStats instance.

  - ### Method Detail

    - #### recordChildStats

          public void recordChildStats()

      Description copied from class: `FlowStepStats`
      An internal method that will refresh current counters and, if a clientState client is enabled, the child details including node and slice statistics.

      All results will be then recorded by the clientState implementation.

      See `CascadingStats.captureDetail()` to force all statistics to be cached and locally accessible.
      Specified by:
        `recordChildStats` in class `FlowStepStats`

    - #### getLastSuccessfulCounterFetchTime

          public long getLastSuccessfulCounterFetchTime()

      Description copied from interface: `ProvidesCounters`
      Method getLastSuccessfulCounterFetchTime returns the time, in millis, the last moment counters were successfully retrieved.

      If -1, counter values were never successfully retrieved.

      If this return value is less than the `CascadingStats.getFinishedTime()` it is likely the counter service became unavailable.
      Returns:
        the moment counters were last successfully retrieved

    - #### getCounterGroups

          public java.util.Collection<java.lang.String> getCounterGroups()

      Description copied from interface: `ProvidesCounters`
      Method getCounterGroups returns all the available counter group names.
      Returns:
        the counterGroups (type Collection) of this CascadingStats object.

    - #### getCounterGroupsMatching

          public java.util.Collection<java.lang.String> getCounterGroupsMatching(java.lang.String regex)

      Description copied from class: `CascadingStats`
      Method getCounterGroupsMatching returns all the available counter group names that match the given regular expression.
      Specified by:
        `getCounterGroupsMatching` in class `CascadingStats<FlowNodeStats>`
      Parameters:
        `regex` - of type String
      Returns:
        Collection

    - #### getCountersFor

          public java.util.Collection<java.lang.String> getCountersFor(java.lang.String group)

      Description copied from interface: `ProvidesCounters`
      Method getCountersFor returns all the counter names for the give group name.
      Returns:
        Collection

    - #### getCounterValue

          public long getCounterValue(java.lang.Enum counter)

      Description copied from interface: `ProvidesCounters`
      Method getCounter returns the current value for the given counter Enum.
      Parameters:
        `counter` - of type Enum
      Returns:
        the current counter value

    - #### getCounterValue

          public long getCounterValue(java.lang.String group,
                             java.lang.String counter)

      Description copied from interface: `ProvidesCounters`
      Method getCounter returns the current value for the given group and counter.
      Parameters:
        `group` - of type String
        `counter` - of type String
      Returns:
        the current counter value

    - #### increment

          public void increment(java.lang.Enum counter,
                       long amount)

    - #### increment

          public void increment(java.lang.String group,
                       java.lang.String counter,
                       long amount)

    - #### captureDetail

          public void captureDetail(CascadingStats.Type depth)

      Specified by:
        `captureDetail` in class `CascadingStats<FlowNodeStats>`

    - #### getProcessStepID

          public java.lang.String getProcessStepID()

      Description copied from class: `FlowStepStats`
      Method getProcessStepID returns the ID representing the under platform process.

      A FlowStep represents a unit of work on a remote platform, in the case of MapReduce, a MapReduce job. The step ID would be the job id.
      Specified by:
        `getProcessStepID` in class `FlowStepStats`
      Returns:
        a String or null if unavailable

    - #### getChildren

          public java.util.Collection getChildren()

      Description copied from class: `CascadingStats`
      Method getChildren returns any relevant child statistics instances. They may not be of type CascadingStats, but instead platform specific.
      Overrides:
        `getChildren` in class `FlowStepStats`
      Returns:
        a Collection of child statistics

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.